Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153983 - Buffer overflow in Midnight Commander (mc) 4.5.55 and earlier may allow attackers to execute arbitrary code.
Summary: Buffer overflow in Midnight Commander (mc) 4.5.55 and earlier may allow atta...
Keywords:
Status: CLOSED DUPLICATE of bug 158671
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: mc
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Jay Turner
URL: http://cve.mitre.org/cgi-bin/cvename....
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-06 12:52 UTC by Leonard den Ottolander
Modified: 2015-01-08 00:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-17 01:46:58 UTC


Attachments (Terms of Use)
Fix for CAN-2005-0763 (taken from Debian mc-4.5.55-1.2woody6). (deleted)
2005-04-06 12:52 UTC, Leonard den Ottolander
no flags Details | Diff

Description Leonard den Ottolander 2005-04-06 12:52:24 UTC
Buffer overflow in Midnight Commander (mc) 4.5.55 and earlier may allow
attackers to execute arbitrary code.

Only affects RHL 7.3

See http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2005-0763 and
http://www.debian.org/security/2005/dsa-698

Attachment is extracted patch for CAN-2005-0763 from mc-4.5.55-1.2woody6
mentioned in Debian advisory.

Comment 1 Leonard den Ottolander 2005-04-06 12:52:24 UTC
Created attachment 112755 [details]
Fix for CAN-2005-0763 (taken from Debian mc-4.5.55-1.2woody6).

Comment 2 Jindrich Novy 2005-04-06 13:10:25 UTC
Hello Leonard,

thanks for the patch. I'm not quite sure it's worth fixing as the buffer
overflowed of one single byte :)


Comment 3 Jindrich Novy 2005-04-07 07:33:37 UTC
The fix is now applied, thanks.

Comment 4 Josh Bressers 2005-06-17 01:46:58 UTC

*** This bug has been marked as a duplicate of 158671 ***


Note You need to log in before you can comment on or make changes to this bug.